Macaulay2 » Documentation
Packages » OIGroebnerBases » PolynomialOIAlgebra _ ZZ
next | previous | forward | backward | up | index | toc

# PolynomialOIAlgebra _ ZZ -- get the $K$-algebra in a specified width of a polynomial OI-algebra

- Operator: _
- Usage:
    `P_n`
- Inputs:
  - P, an instance of the type PolynomialOIAlgebra,
  - n, an integer,
- Outputs:
  - a polynomial ring,

## Description

Returns the $K$-algebra in width n of a polynomial OI-algebra.

    i1 : P = makePolynomialOIAlgebra(2, y, QQ);

    i2 : P_4

    o2 = QQ[y   , y   , y   , y   , y   , y   , y   , y   ]
             2,4   2,3   2,2   2,1   1,4   1,3   1,2   1,1

    o2 : PolynomialRing

## Ways to use this method:

- PolynomialOIAlgebra _ ZZ -- get the $K$-algebra in a specified width of a polynomial OI-algebra

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/OIGroebnerBases.m2:1536:0.